## libsdl2-net 2.2.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

# See release_checklist.md
set(MAJOR_VERSION 2)
set(MINOR_VERSION 2)
set(MICRO_VERSION 0)
set(SDL_REQUIRED_VERSION 2.0.4)

set(DYLIB_COMPATIBILITY_VERSION "1")

include(PrivateSdlFunctions)
sdl_calculate_derived_version_variables()

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
    message(FATAL_ERROR "Prevented in-tree built. Please create a build directory outside of the SDL_net source code and call cmake from there")
endif()

project(SDL2_net
    LANGUAGES C
    VERSION "${FULL_VERSION}"
)

message(STATUS "Configuring ${PROJECT_NAME} ${PROJECT_VERSION}")

if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
    set(SDL2NET_ROOTPROJECT ON)
else()
    set(SDL2NET_ROOTPROJECT OFF)
endif()

if(TARGET SDL2::SDL2test)
    set(SDL2test_FOUND ON)
else()
    find_package(SDL2test)
endif()

# Set defaults preventing destination file conflicts
set(SDL2NET_DEBUG_POSTFIX "d"
    CACHE STRING "Name suffix for debug builds")
mark_as_advanced(SDL2NET_DEBUG_POSTFIX)

include(CMakeDependentOption)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

option(CMAKE_POSITION_INDEPENDENT_CODE "Build static libraries with -fPIC" ON)
option(BUILD_SHARED_LIBS "Build the library as a shared library" ON)

option(SDL2NET_INSTALL "Enable SDL2_net install target" ${SDL2NET_ROOTPROJECT})

cmake_dependent_option(SDL2NET_SAMPLES "Build SDL2_net samples" ${SDL2NET_ROOTPROJECT} "${SDL2test_FOUND}" OFF)

if(SDL2NET_SAMPLES)
    find_package(SDL2test REQUIRED)
endif()

# Save BUILD_SHARED_LIBS variable
set(SDL2NET_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})

if(SDL2NET_BUILD_SHARED_LIBS)
    set(sdl2_net_export_name SDL2_net)
    set(sdl2_net_install_name_infix shared)
    set(sdl2_target_name SDL2::SDL2)
else()
    set(sdl2_net_export_name SDL2_net-static)
    set(sdl2_net_install_name_infix static)
    set(sdl2_target_name SDL2::SDL2-static)
endif()

sdl_find_sdl2(${sdl2_target_name} ${SDL_REQUIRED_VERSION})

add_library(SDL2_net
    SDLnet.c
    SDLnetselect.c
    SDLnetTCP.c
    SDLnetUDP.c
)
add_library(SDL2_net::${sdl2_net_export_name} ALIAS SDL2_net)
target_include_directories(SDL2_net PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/SDL2>"
)
target_compile_definitions(SDL2_net PRIVATE
    BUILD_SDL
    SDL_BUILD_MAJOR_VERSION=${MAJOR_VERSION}
    SDL_BUILD_MINOR_VERSION=${MINOR_VERSION}
    SDL_BUILD_MICRO_VERSION=${MICRO_VERSION}
)
target_link_libraries(SDL2_net PRIVATE $<BUILD_INTERFACE:${sdl2_target_name}>)
if(WIN32)
    if (MSVC)
        target_compile_options(SDL2_net PRIVATE /W3 /wd4244)
    endif()
    target_compile_definitions(SDL2_net PRIVATE _WINSOCK_DEPRECATED_NO_WARNINGS)
    target_link_libraries(SDL2_net PRIVATE ws2_32 iphlpapi)
    if(SDL2NET_BUILD_SHARED_LIBS)
        target_sources(SDL2_net PRIVATE version.rc)
    endif()
endif()
set_target_properties(SDL2_net PROPERTIES
    DEFINE_SYMBOL DLL_EXPORT
    EXPORT_NAME ${sdl2_net_export_name}
    C_VISIBILITY_PRESET "hidden"
)
if(NOT ANDROID)
    set_target_properties(SDL2_net PROPERTIES
        DEBUG_POSTFIX "${SDL2NET_DEBUG_POSTFIX}"
    )
    if(APPLE)
        # the SOVERSION property corresponds to the compatibility version and VERSION corresponds to the current version
        # https://cmake.org/cmake/help/latest/prop_tgt/SOVERSION.html#mach-o-versions
        set_target_properties(SDL2_net PROPERTIES
            SOVERSION "${DYLIB_COMPATIBILITY_VERSION}"
            VERSION "${DYLIB_CURRENT_VERSION}"
        )
    else()
        set_target_properties(SDL2_net PROPERTIES
            SOVERSION "${LT_MAJOR}"
            VERSION "${LT_VERSION}"
        )
    endif()
endif()
if(SDL2NET_BUILD_SHARED_LIBS AND (APPLE OR (UNIX AND NOT ANDROID)))
    add_custom_command(TARGET SDL2_net POST_BUILD
        COMMAND "${CMAKE_COMMAND}" -E create_symlink "$<TARGET_SONAME_FILE_NAME:SDL2_net>" "libSDL2_net$<$<CONFIG:Debug>:${SDL2NET_DEBUG_POSTFIX}>$<TARGET_FILE_SUFFIX:SDL2_net>"
        WORKING_DIRECTORY "${PROJECT_BINARY_DIR}"
    )
endif()
if(SDL2NET_BUILD_SHARED_LIBS)
    if(WIN32 OR OS2)
        set_target_properties(SDL2_net PROPERTIES
            PREFIX ""
        )
    endif()
    if(OS2)
        # FIXME: OS/2 Makefile has a different LIBNAME
        set_target_properties(SDL2_net PROPERTIES
            OUTPUT_NAME "SDL2net"
        )
    elseif(UNIX AND NOT ANDROID)
        set_target_properties(SDL2_net PROPERTIES
            OUTPUT_NAME "SDL2_net-${LT_RELEASE}"
        )
    endif()
else()
    if(MSVC OR (WATCOM AND (WIN32 OR OS2)))
        set_target_properties(SDL2_net PROPERTIES
            OUTPUT_NAME "SDL2_net-static"
        )
    endif()
endif()

# Use `Compatible Interface Properties` to ensure a shared SDL2_net is built with a shared SDL2
if(SDL2NET_BUILD_SHARED_LIBS)
    set_target_properties(SDL2_net PROPERTIES 
        INTERFACE_SDL2_SHARED ${SDL2NET_BUILD_SHARED_LIBS}
        COMPATIBLE_INTERFACE_BOOL SDL2_SHARED
    )
endif()

if(SDL2NET_BUILD_SHARED_LIBS)
    sdl_target_link_options_no_undefined(SDL2_net)
endif()

if(SDL2NET_INSTALL)
    install(
        TARGETS SDL2_net
        EXPORT SDL2NetExports
        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT devel
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT library
        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}" COMPONENT library
    )
    install(FILES
        "${CMAKE_CURRENT_SOURCE_DIR}/SDL_net.h"
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/SDL2" COMPONENT devel
    )

    if(WIN32 AND NOT MINGW)
        set(PKG_PREFIX "cmake")
    else()
        set(PKG_PREFIX "${CMAKE_INSTALL_LIBDIR}/cmake/SDL2_net")
    endif()

    configure_package_config_file(SDL2_netConfig.cmake.in SDL2_netConfig.cmake
        INSTALL_DESTINATION "${PKG_PREFIX}"
    )
    write_basic_package_version_file("${PROJECT_BINARY_DIR}/SDL2_netConfigVersion.cmake"
        VERSION ${FULL_VERSION}
        COMPATIBILITY AnyNewerVersion
    )
    install(
        FILES
            "${CMAKE_CURRENT_BINARY_DIR}/SDL2_netConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/SDL2_netConfigVersion.cmake"
        DESTINATION "${PKG_PREFIX}"
        COMPONENT devel
    )
    install(EXPORT SDL2NetExports
        FILE SDL2_net-${sdl2_net_install_name_infix}-targets.cmake
        NAMESPACE SDL2_net::
        DESTINATION "${PKG_PREFIX}"
        COMPONENT devel
    )

    if(SDL2NET_BUILD_SHARED_LIBS)
        # Only create a .pc file for a shared SDL2_net
        set(prefix "${CMAKE_INSTALL_PREFIX}")
        set(exec_prefix "\${prefix}")
        set(libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
        set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
        set(PACKAGE "${PROJECT_NAME}")
        set(VERSION "${FULL_VERSION}")
        set(SDL_VERSION "${SDL_REQUIRED_VERSION}")
        string(JOIN " " PC_REQUIRES ${PC_REQUIRES})
        string(JOIN " " PC_LIBS ${PC_LIBS})
        configure_file("${PROJECT_SOURCE_DIR}/SDL2_net.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/SDL2_net.pc.intermediate" @ONLY)
        file(GENERATE OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/SDL2_net-$<CONFIG>.pc" INPUT "${CMAKE_CURRENT_BINARY_DIR}/SDL2_net.pc.intermediate")

        set(PC_DESTDIR)
        if(CMAKE_SYSTEM_NAME MATCHES FreeBSD)
            # FreeBSD uses ${PREFIX}/libdata/pkgconfig
            set(PC_DESTDIR "libdata/pkgconfig")
        else()
            set(PC_DESTDIR "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
        endif()
        # Only install a SDL2_net.pc file in Release mode
        install(CODE "
            if(CMAKE_INSTALL_CONFIG_NAME MATCHES \"Release\")
                # FIXME: use file(COPY_FILE) if minimum CMake version >= 3.21
                execute_process(COMMAND \"\${CMAKE_COMMAND}\" -E copy_if_different
                    \"${CMAKE_CURRENT_BINARY_DIR}/SDL2_net-$<CONFIG>.pc\"
                    \"${CMAKE_CURRENT_BINARY_DIR}/SDL2_net.pc\")
                file(INSTALL DESTINATION \"\${CMAKE_INSTALL_PREFIX}/${PC_DESTDIR}\"
                    TYPE FILE
                    FILES \"${CMAKE_CURRENT_BINARY_DIR}/SDL2_net.pc\")
            endif()" COMPONENT devel)
    endif()

    if(SDL2NET_BUILD_SHARED_LIBS AND (APPLE OR (UNIX AND NOT ANDROID)))
        install(
            FILES
                "${PROJECT_BINARY_DIR}/libSDL2_net$<$<CONFIG:Debug>:${SDL2NET_DEBUG_POSTFIX}>$<TARGET_FILE_SUFFIX:SDL2_net>"
            DESTINATION "${CMAKE_INSTALL_LIBDIR}"
            COMPONENT devel
        )
    endif()

    install(FILES "LICENSE.txt"
        DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/licenses/${PROJECT_NAME}"
        COMPONENT library
    )
endif()

if(SDL2NET_SAMPLES)
    find_package(SDL2main)

    add_executable(showinterfaces showinterfaces.c)
    target_compile_definitions(showinterfaces PRIVATE SDL_MAIN_HANDLED)
    target_link_libraries(showinterfaces PRIVATE SDL2_net::${sdl2_net_export_name} ${sdl2_target_name})

    add_executable(chat chat.c chat.h)
    if(TARGET SDL2::SDL2main)
        target_link_libraries(chat PRIVATE SDL2::SDL2main)
    endif()
    target_link_libraries(chat PRIVATE SDL2_net::${sdl2_net_export_name} SDL2::SDL2test ${sdl2_target_name})

    add_executable(chatd chatd.c)
    target_compile_definitions(chatd PRIVATE SDL_MAIN_HANDLED)
    target_link_libraries(chatd PRIVATE SDL2_net::${sdl2_net_export_name} ${sdl2_target_name})
endif()

## libsdl2-net 2.0.0+dfsg1

=== debian/changelog ===
libsdl2-net (2.0.0+dfsg1-2) unstable; urgency=low

  * Build-Depends on pkg-config
  * Do not call dh_autoreconf with ./autogen.sh as parameter, to force
    using new config.{sub,guess} files, which important when having new
    architectures (Closes: #727436)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 29 Oct 2013 16:40:22 +0000

libsdl2-net (2.0.0+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Update dependencies and build-dependencies to remove ~rc1
  * Filter upstream tarball from binaries and unneeded cruft

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 12 Aug 2013 23:35:27 +0100

libsdl2-net (2.0.0~rc1-1) unstable; urgency=low

  * Initial release. (Closes: #711571)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 08 Jun 2013 16:29:51 +0100

=== debian/control ===
Source: libsdl2-net
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               libsdl2-dev (>= 2.0.0),
               pkg-config
Homepage: http://www.libsdl.org/projects/SDL_net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2-net.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2-net.git


Package: libsdl2-net-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Network library for Simple DirectMedia Layer 2, libraries
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the shared library.

Package: libsdl2-net-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: ${misc:Depends},
         libsdl2-net-2.0-0 (= ${binary:Version})
Description: Network library for Simple DirectMedia Layer 2, debugging
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the debugging information for the shared library.

Package: libsdl2-net-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	 libsdl2-net-2.0-0 (= ${binary:Version}),
	 libsdl2-dev (>= 2.0.0)
Description: Network library for Simple DirectMedia Layer 2, development files
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SHLIBVER := 2.0.0


# according to help: speeds up one-time build
confflags := --disable-dependency-tracking
# GUI needed only for examples, don't even try to support it
confflags += --disable-gui


%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
        # do not call with ./autogen.sh as parameter, to force new
        # config.{sub,guess}
	AUTOMAKE="automake --foreign" dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_install:
	dh_install --fail-missing -XlibSDL2_net.la

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
        # fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
	dh_link --remaining-packages

override_dh_compress:
	dh_compress -Xchatd.c -Xchat.cpp -Xchat.h -Xshowinterfaces.c

override_dh_strip:
	dh_strip --dbg-package=libsdl2-net-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-net-2.0-0 (>= $(SHLIBVER))"

## libsdl2-net 2.0.1%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


# export variables for autoreconf
export AUTOMAKE := automake --foreign


# according to help: speeds up one-time build
confflags := --disable-dependency-tracking
# GUI needed only for examples, don't even try to support it
confflags += --disable-gui


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
	# fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
	dh_link --remaining-packages

=== debian/tests/control ===
Tests: libsdl2-net-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 libsdl2-net-dev,
 pkg-config,
 xauth,
 xvfb,

## libsdl2-net 2.0.1+dfsg1

=== debian/changelog ===
libsdl2-net (2.0.1+dfsg1-2) unstable; urgency=medium

  * d/rules: Update shlib and .so symlink to the current version

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 26 Jan 2016 16:41:55 +0000

libsdl2-net (2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Bump Policy Standards-Version to 3.9.6 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 25 Jan 2016 22:08:53 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9~),
                dh-autoreconf,
                libsdl2-dev (>= 2.0.0),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SHLIBVER := 2.0.1


# according to help: speeds up one-time build
confflags := --disable-dependency-tracking
# GUI needed only for examples, don't even try to support it
confflags += --disable-gui


%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
        # do not call with ./autogen.sh as parameter, to force new
        # config.{sub,guess}
	AUTOMAKE="automake --foreign" dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_install:
	dh_install --fail-missing -XlibSDL2_net.la

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
        # fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
	dh_link --remaining-packages

override_dh_compress:
	dh_compress -Xchatd.c -Xchat.cpp -Xchat.h -Xshowinterfaces.c

override_dh_strip:
	dh_strip --dbg-package=libsdl2-net-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-net-2.0-0 (>= $(SHLIBVER))"

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+$// \
  http://www.libsdl.org/projects/SDL_net/release/SDL2_net-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl2-net 2.2.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


# export variables for autoreconf
export AUTOMAKE := automake --foreign


# according to help: speeds up one-time build
confflags := --disable-dependency-tracking
# GUI needed only for examples, don't even try to support it
confflags += --disable-gui


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_install:
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/installed-tests/SDL2_net/
	./libtool --mode=install install chat chatd showinterfaces $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/installed-tests/SDL2_net/
	dh_install

override_dh_link:
	# fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
	dh_link --remaining-packages

## libsdl2-net 2.2.0+dfsg

=== debian/changelog ===
libsdl2-net (2.2.0+dfsg-3) unstable; urgency=medium

  * d/upstream/metadata: Add
  * Update standards version to 4.7.0 (no changes needed)
  * Remove version constraints unnecessary since Debian 11
  * d/tests: Run Xvfb with -noreset to make the test more reliable.
    See #981201. While we're here, also let xvfb-run choose a display
    number instead of hard-coding :99.
  * d/control, d/tests: Depend on pkgconf in preference to pkg-config
  * d/control: Normalize order of dependencies
  * d/gbp.conf: Use DEP-14 branch layout
  * d/gbp.conf: Only sign packaging tags, not upstream tags
  * d/rules: Fix dangling symlink libSDL2_net-2.0.so
  * d/rules: Use dpkg's default.mk instead of reinventing a subset
  * d/rules: Enable full compiler hardening

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Nov 2024 09:47:38 +0000

libsdl2-net (2.2.0+dfsg-2) unstable; urgency=medium

  * d/watch: Update for Github website changes

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:18:11 +0100

libsdl2-net (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/upstream/signing-key.asc: Add upstream PGP key
  * d/watch: Look for stable releases on Github
  * d/copyright: Update
  * Install CMake metadata
  * d/tests: Exercise CMake build
  * Drop all patches, applied upstream
  * Update list of example files
  * symbols: Ignore removal of SDLNet_GetLastError, SDLNet_SetLastError.
    These were accidentally exported in older versions, but are not in a
    public header file, and according to codesearch.debian.net nothing
    external to SDL_net is calling them.
  * Standards-Version: 4.6.1 (no changes required)
  * Add myself to Uploaders
  * Install the example programs.
    Put them in libsdl2-net-dev for now, since we don't have a
    libsdl2-net-tests or -examples package.

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Sep 2022 10:46:43 +0100

libsdl2-net (2.0.1+dfsg1-7) unstable; urgency=medium

  * Team upload
  * d/p/_SDLNet_Read16-Be-const-correct-in-unaligned-code-path.patch,
    d/p/Always-implement-exported-symbols-for-SDLNet_Write16-etc.patch,
    d/libsdl2-net-2.0-0.symbols:
    Export SDLNet_Read16() etc. on all architectures
  * d/p/Assume-that-unaligned-access-is-not-allowed-unless-we-kno.patch:
    Avoid unaligned accesses on all non-x86 architectures, not just arm*,
    mips* and sparc*

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Dec 2021 09:59:37 +0000

libsdl2-net (2.0.1+dfsg1-6) unstable; urgency=medium

  * Team upload
  * d/libsdl2-net-2.0-0.symbols: Exclude SDLNet_Read16, etc. on
    arm/mips/sparc. These are not part of the ABI on these architectures.
    They probably should be, but I'd prefer to get that fixed upstream
    rather than having a Debian-specific ABI (see upstream MR #39).

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Oct 2021 14:34:17 +0100

libsdl2-net (2.0.1+dfsg1-5) unstable; urgency=medium

  * Team upload

  [ Manuel A. Fernandez Montecelo ]
  * d/control: Set "Rules-Requires-Root: no"

  [ Simon McVittie ]
  * d/tests: Add basic autopkgtest smoke-test to prove the library works
    (Closes: #941429)
  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.

  [ Felix Geyer ]
  * Switch to debhelper compat level v12
  * Add build-essential to autopkgtest dependencies
  * Indentation fix
  * Move dh_missing excludes to d/not-installed

  [ Simon McVittie ]
  * d/rules: Stop overriding dh_compress.
    In debhelper compat level 12 or higher, examples aren't compressed,
    so there's no need to avoid compressing these files.
  * Increase debhelper compat level to 13.
    We can now stop overriding dh_missing, because --fail-missing is the
    default in this compat level.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines
  * d/rules: Remove dbgsym migration code.
    This migration happened between Debian 9 and Debian 10.
  * d/copyright: Document which files are excluded.
    This also allows `uscan --download` to be used to obtain a suitably
    repacked tarball next time there is a new upstream release.
  * Add a .symbols file, instead of tracking ABI the error-prone way
  * d/control: Indent with spaces rather than tabs
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Oct 2021 11:18:56 +0100

libsdl2-net (2.0.1+dfsg1-4) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * d/control:
    - Use https in Homepage URL
    - Update Vcs-* URLs
  * d/copyright: Use https in Homepage URL and in Format URL
  * d/watch:
    - Switch to version=4
    - Use https in URL
  * Switch to debhelper compat level v11
  * d/rules: dh_install --fail-missing is deprecated and about to be removed,
    use dh_missing instead

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Oct 2018 01:50:16 +0200

libsdl2-net (2.0.1+dfsg1-3) unstable; urgency=medium

  * Update Vcs-* URLs
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Use automatic dbgsym packages, drop -dbg

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 31 Jul 2017 21:48:59 +0200

=== debian/control ===
Source: libsdl2-net
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders:
 Manuel A. Fernandez Montecelo <mafm@debian.org>,
 Simon McVittie <smcv@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               libsdl2-dev,
               pkgconf,
Homepage: https://www.libsdl.org/projects/SDL_net/
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-net
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-net.git

Package: libsdl2-net-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Network library for Simple DirectMedia Layer 2, libraries
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the shared library.

Package: libsdl2-net-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsdl2-dev,
         libsdl2-net-2.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Network library for Simple DirectMedia Layer 2, development files
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/default.mk
 
 
 # export variables for autoreconf
@@ -33,5 +34,5 @@
 
 override_dh_link:
 	# fix lintian warning dev-pkg-without-shlib-symlink
-	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
+	dh_link -plibsdl2-net-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_net-2.0.so
 	dh_link --remaining-packages

=== debian/tests/control ===
Tests: libsdl2-net-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 cmake,
 libsdl2-net-dev,
 ninja-build,
 pkgconf,
 xauth,
 xvfb,

=== debian/watch ===
version=4
# Upstream releases official Autotools 'make dist' tarballs, so we use
# those in preference to git tags
opts="\
    compression=gzip, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//;s/[+~](?:ds|dfsg)[0-9]*//, \
    downloadurlmangle=s#/tag/#/download/#;s#((?:pre)?release-?@ANY_VERSION@)$#$1/SDL2_net-$2.tar.gz#, \
    filenamemangle=s#(?:pre)?release-?@ANY_VERSION@#SDL2_net-$1.tar.gz#, \
    pgpmode=auto, \
    repack, \
    repacksuffix=+dfsg" \
https://github.com/libsdl-org/SDL_net/tags .*/releases/tag/release-?@ANY_VERSION@
